### Constructor

# Secret Collection new_for_dbus_path_finish

#### Declaration [src]

    SecretCollection*
    secret_collection_new_for_dbus_path_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to get a new collection proxy for a collection in the secret service.

This constructor is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretCollection`

The new collection, which should be unreferenced with `g_object_unref()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.